Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountModifierFixed

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.DiscountModifier
          com.bea.commerce.ebusiness.price.engine.DiscountModifierFixed

Deprecated

    @Deprecated
    public class DiscountModifierFixed

extends DiscountModifier

Supports FIXED_OFF and FIXED_PRICE ModifierTypes

Field Summary
`static String` | `cName` Deprecated

Constructor Summary
`DiscountModifierFixed(ModifierType type, double value, String currency)` Deprecated
`DiscountModifierFixed(ModifierType type, String stringValue, String currency)` Deprecated

Method Summary
`String` | `getCurrency()` Deprecated
`Money` | `getMoney()` Deprecated
`double` | `getValue()` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class com.bea.commerce.ebusiness.price.engine.DiscountModifier
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### DiscountModifierFixed

    public DiscountModifierFixed(ModifierType type,
                                 String stringValue,
                                 String currency)

  Deprecated

### DiscountModifierFixed

    public DiscountModifierFixed(ModifierType type,
                                 double value,
                                 String currency)

  Deprecated

Method Detail

### getValue

    public double getValue()

  Deprecated

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `DiscountModifier`

### getMoney

    public Money getMoney()

  Deprecated

### getCurrency

    public String getCurrency()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.